<script setup>
const props = defineProps({
  current: Number,
  last: Number,
  labels: Array,
});
</script>

<template>
  <div class="stepper">
    <div class="fr-stepper fr-p-2w fr-m-0">
      <h2 class="fr-stepper__title fr-grid-row--left">
        <span class="fr-stepper__state">
          Étape {{ current }} sur {{ last }}
        </span>
        <ul class="fr-grid-row fr-grid-row--left" v-if="last > 4">
          <li>
            <legend class="fr-fieldset__legend fr-pl-1v">
              {{ labels[current - 1] }}
            </legend>
          </li>
        </ul>
        <ul class="inter" v-else>
          <li class="fr-pb-2w fr-col-4" v-for="label in labels">
            {{ label }}
          </li>
        </ul>
      </h2>
      <div
        class="fr-stepper__steps"
        :data-fr-current-step="current"
        :data-fr-steps="last"
      ></div>
    </div>
  </div>
</template>

<style scoped>
div.fr-stepper {
  background-color: var(--background-alt-blue-france);
}

ul.inter {
  display: flex;
}

li {
  list-style: none;
}

legend {
  min-width: fit-content;
}

.stepper {
  height: var(--height-stepper);
}
</style>
